Package ghidra.sleigh.grammar

# Class AbstractSleighLexer

java.lang.Object
org.antlr.runtime.BaseRecognizer
org.antlr.runtime.Lexer
ghidra.sleigh.grammar.AbstractSleighLexer

All Implemented Interfaces:
  `SleighRecognizerConstants`, `org.antlr.runtime.TokenSource`

Direct Known Subclasses:
  `BaseLexer`, `DisplayLexer`, `DisplayLexer_BaseLexer`, `SemanticLexer`, `SemanticLexer_BaseLexer`

public abstract class AbstractSleighLexer extends org.antlr.runtime.Lexer implements SleighRecognizerConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ParsingEnvironment`
  `env`

  ### Fields inherited from class org.antlr.runtime.Lexer

  `input`

  ### Fields inherited from class org.antlr.runtime.BaseRecognizer

  `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  ### Fields inherited from interface ghidra.sleigh.grammar.SleighRecognizerConstants

  `BASE, COMMENT, DISPLAY, PREPROC, SEMANTIC`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSleighLexer()`
  `AbstractSleighLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.antlr.runtime.Token`
  `emit()`
  `void`
  `emitErrorMessage(String msg)`
  `String`
  `getErrorHeader(org.antlr.runtime.RecognitionException e)`
  `String`
  `getErrorMessage(org.antlr.runtime.RecognitionException e, String[] tokenNames)`
  `String`
  `getTokenErrorDisplay(org.antlr.runtime.Token t)`
  `protected void`
  `preprocess(String text)`
  `void`
  `setEnv(ParsingEnvironment env)`

  ### Methods inherited from class org.antlr.runtime.Lexer

  `emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getEOFToken, getLine, getSourceName, getText, match, match, matchAny, matchRange, mTokens, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

  ### Methods inherited from class org.antlr.runtime.BaseRecognizer

  `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getGrammarFileName, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### env

    protected ParsingEnvironment env

- ## Constructor Details

  - ### AbstractSleighLexer

    public AbstractSleighLexer()

  - ### AbstractSleighLexer

    public AbstractSleighLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)

- ## Method Details

  - ### emit

    public org.antlr.runtime.Token emit()
    Overrides:
      `emit` in class `org.antlr.runtime.Lexer`

  - ### emitErrorMessage

    public void emitErrorMessage(String msg)
    Overrides:
      `emitErrorMessage` in class `org.antlr.runtime.BaseRecognizer`

  - ### getErrorHeader

    public String getErrorHeader(org.antlr.runtime.RecognitionException e)
    Overrides:
      `getErrorHeader` in class `org.antlr.runtime.BaseRecognizer`

  - ### getErrorMessage

    public String getErrorMessage(org.antlr.runtime.RecognitionException e, String[] tokenNames)
    Overrides:
      `getErrorMessage` in class `org.antlr.runtime.Lexer`

  - ### getTokenErrorDisplay

    public String getTokenErrorDisplay(org.antlr.runtime.Token t)
    Overrides:
      `getTokenErrorDisplay` in class `org.antlr.runtime.BaseRecognizer`

  - ### preprocess

    protected void preprocess(String text)

  - ### setEnv

    public void setEnv(ParsingEnvironment env)